## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArrayElementHandler< T > Class Template Reference
[Containers]

The default element handler for csArray. More...

`#include <csutil/array.h>`

List of all members.

## Static Public Member Functions

static void | Construct (T *address, T const &src)
static void | Construct (T *address)
static void | Destroy (T *address)
static void | InitRegion (T *address, size_t count)

## Detailed Description

### template<class T>
class csArrayElementHandler< T >

The default element handler for csArray.

Definition at line 156 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h